Bug 658225 - 64 bit firefox with 32 bit flash and nspluginwrapper fails on (nearly?) any site with a flash content
Summary: 64 bit firefox with 32 bit flash and nspluginwrapper fails on (nearly?) any s...
Keywords:
Status: CLOSED DUPLICATE of bug 597446
Alias: None
Product: Fedora
Classification: Fedora
Component: nspluginwrapper
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-29 17:43 UTC by Tom Horsley
Modified: 2018-04-11 14:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-01 09:17:31 UTC


Attachments (Terms of Use)

Description Tom Horsley 2010-11-29 17:43:09 UTC
Description of problem:
Setup a 64 bit fedora 14 system with 32 bit flash installed and nspluginwrapper
used to run the 32 bit flash in the 64 bit firefox.

Goto http://e.palmbeachpost.com/ and login (to do that, you'll probably have
to signup for a two week free trial).

If you are running firefox from a terminal, you will now see an infinite
number of messages like this:

*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2537):invoke_NPP_HandleEvent: assertion failed: (rpc_method_invoke_possible(plugin->connection))

On the other hand, if you download the mozilla 32 bit binary firefox
in firefox-3.6.12.tar.bz2, unpack and run it, everything works fine.
The flash content appears no zillions of lines of errors (merely hundreds :-).

Version-Release number of selected component (if applicable):
firefox-3.6.12-1.fc14.x86_64
nspluginwrapper-1.3.0-15.fc14.x86_64
nspluginwrapper-1.3.0-15.fc14.i686
flash-plugin-10.1.102.65-release.i386


How reproducible:
100%

Steps to Reproduce:
1.see above
2.
3.
  
Actual results:
blank screen on right side of browser where flash should appear.

Expected results:
images of the palm beach post newspaper printed pages.

Additional info:

A ps command shows the mozilla binary running flash under something named
'plugin-container' rather then the npviewer.bin that nspluginwrapper
uses.

Comment 1 Tom Horsley 2010-11-30 23:45:40 UTC
More data: The 64 bit flash player and the 64 bit nspluginwrapper exhibit the
same failure, but if I erase nspluginwrapper and just run the 64 bit flash
directly, the flash content works correctly.

Comment 2 Michal Jaegermann 2010-12-13 21:39:45 UTC
In my current setup (firefox-3.6.13-1.fc13.x86_64, nspluginwrapper-1.3.0-13.fc13,
32-bit flash-plugin-10.1.102.65-release.i386) I am unable so far to find any
site with flash content which would play.  I cannot tell for sure when this started.

What is even worse every time something attempt to play flash, and on many occasions this happens automaticaly, firefox goes into a catatonic state for a duration of a rather prolonged timeout.  On a terminal I see:

*** NSPlugin Viewer  *** WARNING: unhandled variable 18 (<unknown variable>) in NPN_GetValue()
*** NSPlugin Viewer  *** WARNING: unhandled variable 18 (<unknown variable>) in NPN_GetValue()

after that is a long wait before I see

*** NSPlugin Wrapper *** ERROR: NPP_Write() wait for reply: Message timeout
*** NSPlugin Wrapper *** 

and only after that messages like those

WARNING:(../src/npw-wrapper.c:2239):invoke_NPP_DestroyStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1977):invoke_NPP_GetValue: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1858):invoke_NPP_Destroy: assertion failed: (rpc_method_invoke_possible(plugin->connection)

start to appear.  This is similar but not exactly the same as the original report.

As a data point: 64-bit firefox-3.6.13-2.el5.centos, nspluginwrapper-1.3.0-9.el5 and the same as above 32-bit flash-plugin does work on CentOS 5 x86_64 installation in the same locations where Fedora gets into troubles.

Comment 3 Tom Horsley 2010-12-13 23:18:00 UTC
For me flash and 32 bit nspluginwrapper was working most everywhere, it
was only the palm beach post online newspaper that didn't work. I could
(for instance) goto the adobe test flash version site and it functioned
OK, and I'm sure lots of other sites had flash ads I would have noticed
if I had problems.

Comment 4 Michal Jaegermann 2010-12-14 01:44:27 UTC
(In reply to comment #3)
> For me flash and 32 bit nspluginwrapper was working most everywhere,

It still does? I am not using flash that often but I first got hit by that on http://www.cbc.ca/news where there are some videos which would attempt to start if you will hit a "wrong" link and every time this will make firefox unusable for quite a while and nothing obvously will play.  So I attempted to check http://www.youtube.com/. It loads but with missing all "preview" still pictures.  If I will try to start such "blank" video anyway then ... see above. Following that I could not find yet a single site which would work - unless I would do that from a machine running CentOS.

Comment 5 Tom Horsley 2010-12-14 02:43:32 UTC
I don't know how it would work now. Once I switched to 64 bit flash and
no nsplugin, I didn't look back. There have been lots of updates since
then so it could easily have gotten worse.

Comment 6 Jaroslav Šťáva 2011-02-02 20:08:08 UTC
I hit the same issue after upgrading from F12 to F14 (64 bit).
I tried the workaround for https://bugzilla.redhat.com/show_bug.cgi?id=597446
and voila, it work for me. 
Seems like a silly bug.

Comment 7 Thomas Canniot 2011-03-22 19:52:59 UTC
I have the same problem with F15 and Firefox 4 RC2 Fedora package and Flash as well (32 bit).

This website crashes all the time with Flash rendering : http://www.bouyguestelecom.fr/les-avantages-multi-lignes/

Removing nspluginwrapper fixed the problem.

Comment 8 Matěj Cepl 2011-04-01 07:23:52 UTC
(In reply to comment #0)
> Goto http://e.palmbeachpost.com/ and login (to do that, you'll probably have
> to signup for a two week free trial).

Sorry, I don't have US phone number and I won't be subscribing just to troubleshoot this bug.

(In reply to comment #4)
> (In reply to comment #3)
> > For me flash and 32 bit nspluginwrapper was working most everywhere,
> 
> It still does? I am not using flash that often but I first got hit by that on
> http://www.cbc.ca/news where there are some videos which would attempt to start

Could you point me to some particular URL?
http://www.cbc.ca/video/#/News/World/1239665833/ID=1865001051 works for me without a problem.

(In reply to comment #7)
> This website crashes all the time with Flash rendering :
> http://www.bouyguestelecom.fr/les-avantages-multi-lignes/

Again, works for me. The display is pretty awful (with a large white panels over the place before everything is drawn, but in the end all looks well).

Do you have some crash or abrt report showing at which program actually crashes?

> Removing nspluginwrapper fixed the problem.

What exactly you did? Switch to 64bit flash plugin (BTW, officially unsupported and unchanged while 32bit plugin went through number of security fixes) or 32bit Firefox (which adds even more 32bit libraries than nspluginwrapper.i686)?

FOR EVERYBODY WHO CAN REPRODUCE THIS BUG, please:

 * What's the output of
   rpm -qa '*fangsongti*' '*nsplugin*' '*pulse*' '*firefox*' '*xulrunner*'
 * What's the output of
   mozilla-plugin-config -l
 * Any crashes (even with missing debugging symbols) in abrt-gui?

Thank you for any response

Comment 9 Matěj Cepl 2011-04-01 07:42:54 UTC
Everything works for me even with bitmap-fangsongti-fonts-0.3-17.fc15.noarch, however there are plenty of Error messages

*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1927):invoke_NPP_SetWindow: assertion failed: (rpc_method_invoke_possible(plugin->connection))

in stderr.

Comment 11 Martin Stransky 2011-04-01 09:17:05 UTC
I believe it's a dupe of Bug 666865

Comment 12 Martin Stransky 2011-04-01 09:17:31 UTC

*** This bug has been marked as a duplicate of bug 666865 ***

Comment 13 Michal Jaegermann 2011-04-05 18:07:03 UTC
(In reply to comment #11)
> I believe it's a dupe of Bug 666865

Are you sure?  At least to me this looked more like a dupe of bug 
597446.  In any case I removed bitmap-fangsongti-fonts, as suggested by bug 597446#6 and this cured the issue.  Before that it was not a plenty of error messages but firefox instantly not responding to anything.

Comment 14 Martin Stransky 2011-04-06 06:56:18 UTC
Aha, okay, thanks for the info.

*** This bug has been marked as a duplicate of bug 597446 ***


Note You need to log in before you can comment on or make changes to this bug.